package com.eleadmin.chat.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.chat.domain.entity.ChatEntity;
import com.eleadmin.chat.domain.from.ChatQueryForm;
import com.eleadmin.chat.domain.vo.ChatVO;
import com.eleadmin.common.core.web.PageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 聊天记录表 Dao
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

public interface ChatDao extends BaseMapper<ChatEntity> {
    List<ChatVO> queryPage(PageParam<ChatEntity, ChatQueryForm> pageParam,@Param("queryForm") ChatQueryForm queryForm);
}