package com.eleadmin.common.flowStep.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 流程字段
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("f_field")
public class Field implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 字段名称
     */
    private String fieldTitle;

    /**
     * 字段key
     */
    private String fieldKey;

    /**
     * 字段类型
     */
    private String fieldType;

    /**
     * 创建用户
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 逻辑删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer deleted;
}
