package com.eleadmin.common.flowStep.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 流程主表
 *
 * @author zg
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("f_flow")
public class Flow implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程名称
     */
    private String title;

    /**
     * 是否启用0未启用1启用
     */
    private Integer enable;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 逻辑删除0未删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer deleted;
}
