package com.eleadmin.common.flowStep.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 步骤表
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("f_step")
public class Step implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流程id
     */
    private Integer flowId;

    /**
     * 步骤名称
     */
    private String stepTitle;

    /**
     * 字段ids
     */
    @TableField(updateStrategy = FieldStrategy.ALWAYS)
    private String fieldIds;

    /**
     * 角色ids
     */
    @TableField(updateStrategy = FieldStrategy.ALWAYS)
    private String strIds;

    /**
     * 步骤号
     */
    private Integer stepNumber;

    /**
     * 逻辑删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer deleted;

    /**
     * 创建用户
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
