package com.eleadmin.common.flowStep.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.flowStep.entity.Step;
import com.eleadmin.common.flowStep.entity.param.StepParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 步骤表 Mapper 接口
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface StepMapper extends BaseMapper<Step> {

    List<Map<String, Object>> queryPage(@Param("page") PageParam page,@Param("param") StepParam param);
}
