package com.eleadmin.common.flowStep.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.common.flowStep.entity.StepTableField;
import com.eleadmin.common.flowStep.entity.vo.StepTableFieldVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 停电步骤字段表 Mapper 接口
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface StepTableFieldMapper extends BaseMapper<StepTableField> {

    List<StepTableFieldVo> getFlowFieldList(@Param("stepTableId") Integer stepTableId);
}
