package com.eleadmin.common.flowStep.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.common.flowStep.entity.StepTable;
import com.eleadmin.common.flowStep.entity.vo.StepTableVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 停电步骤表 Mapper 接口
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface StepTableMapper extends BaseMapper<StepTable> {

    List<StepTableVo> getFlowList(@Param("id") Integer id,@Param("whetherDebug") Integer whetherDebug);
}
