package com.eleadmin.common.flowStep.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.core.web.PageResult;
import com.eleadmin.common.flowStep.entity.Flow;
import com.eleadmin.common.flowStep.entity.param.FlowParam;
import com.eleadmin.common.flowStep.mapper.FlowMapper;
import com.eleadmin.common.flowStep.service.IFlowService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程主表 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Service
public class FlowServiceImpl extends ServiceImpl<FlowMapper, Flow> implements IFlowService {

    @Override
    public PageResult queryPage(FlowParam param) {
        PageParam page = new PageParam(param);
        List<Map<String,Object>> list = baseMapper.queryPage(page,param);
        return new PageResult(list,page.getTotal());
    }
}
