package com.eleadmin.distributiondeviceinfo.domain.form;

import com.eleadmin.common.core.web.BaseParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 配电设备新投异动图模维护信息表 分页查询表单
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:39:52
 * @Copyright gxrd
 */

@Data
@EqualsAndHashCode(callSuper = false)
public class DistributionDeviceInfoQueryForm extends BaseParam {

    private Integer id;
    private Integer outageId;


    /**
     * 计划工作时间
     */
    private String planWorkTime;

    /**
     * 图模涉及大馈线名称
     */
    private String lineName;

    private Integer createUser;
}
