package com.eleadmin.faLine.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serial;
import java.io.Serializable;

/**
 * <p>
 * fa线路
 * </p>
 *
 * @author zg
 * @since 2025-03-20
 */
@Getter
@Setter
@TableName("t_fa_line")
public class FaLine implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 图模涉及大馈线名称
     */
    private String lineName;
}
