package com.eleadmin.faLine.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.core.web.PageResult;
import com.eleadmin.faLine.domain.dto.FaLineParam;
import com.eleadmin.faLine.domain.entity.FaLine;
import com.eleadmin.faLine.mapper.FaLineMapper;
import com.eleadmin.faLine.service.IFaLineService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * fa线路 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-20
 */
@Service
public class FaLineServiceImpl extends ServiceImpl<FaLineMapper, FaLine> implements IFaLineService {

    @Override
    public PageResult queryPage(FaLineParam faLineParam) {
        PageParam page = new PageParam(faLineParam);
        List<FaLine> list = baseMapper.queryPage(page,faLineParam);
        return new PageResult(list,page.getTotal());
    }
}
