package com.eleadmin.flowable.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Map;

@Getter
@Setter
public class FlowAssignDTO implements Serializable {

    @NotBlank
    private String taskId;

    private String candidate;

    private Map<String,String> variables;

}
