package com.eleadmin.flowable.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Map;

@Getter
@Setter
public class FlowCompleteDTO implements Serializable {

    @NotBlank
    private String taskId;

    private String userId;

    @NotBlank
    private String comment;

    private Map<String,Object> variables;

    @NotNull
    private Map<String,Object> variablesLocal;

    private Boolean completeNextTask;

    private String candidate;

    private String tmhzz;

}
