package com.eleadmin.flowable.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.InputStream;
import java.util.Date;
import java.util.List;
import java.util.Map;

// 补充DTO定义
@Getter
@Setter
public class ProcessProgressDetail {
    private String processInstanceId;
    private String businessKey;
    private Date startTime;
    private String startUserId;
    private Map<String, Object> processVariables;
    private List<TaskInfo> currentTasks;
    private List<TaskHistory> historyTasks;
    private transient InputStream processDiagram; // 避免序列化
}