package com.eleadmin.national_holidays.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.util.Date;

/**
 * 国家节假日及调休安排
 */
@Data
@TableName("national_holidays")
public class NationalHoliday {
    
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    
    private Integer year;
    
    private String holidayName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date holidayDate;
    
    private Integer isWorkday;
    
    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;
    
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;
    
}