package com.eleadmin.national_holidays.domain.from;

import com.alibaba.excel.annotation.ExcelProperty;
import com.eleadmin.common.core.web.BaseParam;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 国家节假日查询参数对象
 */
@Getter
@Setter
public class NationalHolidayExcelFrom extends BaseParam {

    @ExcelProperty(value = "名称")
    private String holidayName;

    @ExcelProperty(value = "开始日期")
    private Date startDate;

    @ExcelProperty(value = "结束日期")
    private Date endDate;

    @ExcelProperty(value = "调休日期")
    private String substituteDates;

    @ExcelProperty(value = "说明")
    private String remark;
    
}