package com.eleadmin.national_holidays.domain.from;

import com.eleadmin.common.core.annotation.QueryField;
import com.eleadmin.common.core.annotation.QueryType;
import com.eleadmin.common.core.web.BaseParam;
import com.eleadmin.common.core.web.PageParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 国家节假日查询参数对象
 */
@Getter
@Setter
public class NationalHolidayFrom extends BaseParam {

    @QueryField(value = "year", type = QueryType.EQ)
    private Integer year;
    
    private String holidayName;
    
    private Date startDate;
    
    private Date endDate;
    
    private Integer isWorkday;
    
    private Integer isSubstitute;
    
    private Date substituteFor;
    
}