package com.eleadmin.chat.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@TableName(value = "msg_chat")
@Getter
@Setter
public class ChatEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField("`index`")
    private Integer index;

    private Integer fromUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @TableLogic
    private Integer deleted;

    @JsonIgnore
    private Integer tenantId;
}
