package com.eleadmin.chat.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

@TableName("msg_chat_to_user")
@Getter
@Setter
public class ChatToUserEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer chatId;

    private Integer toUserId;

    @TableLogic
    private Integer deleted;

    @JsonIgnore
    private Integer tenantId;
}