package com.eleadmin.common.flowStep.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.flowStep.entity.Field;
import com.eleadmin.common.flowStep.entity.param.FieldParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程字段 Mapper 接口
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface FieldMapper extends BaseMapper<Field> {

    List<Map<String, Object>> queryPage(@Param("page") PageParam page,@Param("param") FieldParam param);

    List<Map<String, Object>> getFields(@Param("param")  FieldParam fieldParam);
}
