package com.eleadmin.common.flowStep.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.flowStep.entity.Flow;
import com.eleadmin.common.flowStep.entity.param.FlowParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程主表 Mapper 接口
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface FlowMapper extends BaseMapper<Flow> {

    List<Map<String, Object>> queryPage(@Param("page") PageParam page,@Param("param") FlowParam param);
}
