package com.eleadmin.common.flowStep.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eleadmin.common.core.web.PageResult;
import com.eleadmin.common.flowStep.entity.Field;
import com.eleadmin.common.flowStep.entity.param.FieldParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程字段 服务类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
public interface IFieldService extends IService<Field> {

    PageResult queryPage(FieldParam fieldParam);

    List<Map<String,Object>> getFields(FieldParam fieldParam);
}
