package com.eleadmin.common.flowStep.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.core.web.PageResult;
import com.eleadmin.common.flowStep.entity.Step;
import com.eleadmin.common.flowStep.entity.param.StepParam;
import com.eleadmin.common.flowStep.mapper.StepMapper;
import com.eleadmin.common.flowStep.service.IStepService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 步骤表 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Service
public class StepServiceImpl extends ServiceImpl<StepMapper, Step> implements IStepService {

    @Override
    public PageResult queryPage(StepParam param) {
        PageParam page = new PageParam(param);
        List<Map<String,Object>> list = baseMapper.queryPage(page,param);
        return new PageResult(list,page.getTotal());
    }
}
