package com.eleadmin.common.flowStep.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.flowStep.entity.StepTableField;
import com.eleadmin.common.flowStep.entity.vo.StepTableFieldVo;
import com.eleadmin.common.flowStep.mapper.StepTableFieldMapper;
import com.eleadmin.common.flowStep.service.IStepTableFieldService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 停电步骤字段表 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Service
public class StepTableFieldServiceImpl extends ServiceImpl<StepTableFieldMapper, StepTableField> implements IStepTableFieldService {

    @Override
    public List<StepTableFieldVo> getFlowFieldList(Integer stepTableId) {
        return baseMapper.getFlowFieldList(stepTableId);
    }
}
