package com.eleadmin.common.flowStep.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.flowStep.entity.StepTable;
import com.eleadmin.common.flowStep.entity.vo.StepTableVo;
import com.eleadmin.common.flowStep.mapper.StepTableMapper;
import com.eleadmin.common.flowStep.service.IStepTableService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 停电步骤表 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Service
public class StepTableServiceImpl extends ServiceImpl<StepTableMapper, StepTable> implements IStepTableService {

    @Override
    public List<StepTableVo> getFlowList(Integer id,Integer whetherDebug) {
        return baseMapper.getFlowList(id,whetherDebug);
    }
}
