package com.eleadmin.powerdebug.domain.form;

import com.eleadmin.common.core.annotation.Schema;
import com.eleadmin.common.core.web.BaseParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 电力设备调试工作记录表 分页查询表单
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Data
@EqualsAndHashCode(callSuper = false)
public class PowerDebugQueryForm extends BaseParam {
    /**
     * 所属中心
     */
    private String center;

    @Schema(description = "记录ID")
    private Integer id;


    private Integer outageId;

    /**
     * 计划调试日期
     */
    private String plannedTestDate;

    /**
     * 计划投运日期
     */
    private String plannedOperationDate;
    /**
     * 调试地点
     */
    private String testLocation;

    /**
     * 终端名称
     */
    private String terminalName;

    /**
     * 涉及的图模大馈线名称
     */
    private String lineName;


}
