package com.eleadmin.powerdebug.domain.vo;

import com.eleadmin.common.core.annotation.Schema;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

@Data

public class PowerDebugSimpleVO {

    @Schema(description = "记录ID")
    private Integer id;

    @Schema(description = "所属中心")
    private String center;

    @Schema(description = "计划调试时间")
    private String plannedTestTime;

    /**
     * 计划调试日期
     */
    @Schema(description = "计划调试日期")
    private String plannedTestDate;

    /**
     * 涉及的图模大馈线名称
     */
    @Schema(description = "涉及的图模大馈线名称")
    private String lineName;

    @Schema(description = "计划投运日期")
    private LocalDate plannedOperationDate;

    @Schema(description = "计划工作大馈线")
    private String workLineName;

    @Schema(description = "停电计划工作开始时间")
    private Date workStartTime;
}
